import os
import subprocess


class OBTagger:
    def __init__(self, path_to_obt):
        if not os.path.isdir(os.path.join(path_to_obt, 'OBT-Stat')):
            raise ImportError('The oslo-bergen-tagger is not setup correctly, are you on Windows? :)')
        self.obt_location = os.path.join(path_to_obt)

    # noinspection PyArgumentList,SpellCheckingInspection
    def run(self, input_text):
        try:
            return subprocess.check_output([self.obt_location + '/bin/mtag -wxml | \
                vislcg3 --codepage-all latin1   \
                  --codepage-input utf-8    \
                  --grammar ' + self.obt_location + '/cg/bm_morf-prestat.cg \
                  --codepage-output utf-8   \
                  --no-pass-origin  \
                  --show-end-tags | \
                  ' + self.obt_location + '/OBT-Stat/bin/run_obt_stat.rb'],
                                           input=input_text.encode('utf-8'),
                                           stderr=subprocess.PIPE,
                                           shell=True).decode('utf-8')
        except FileNotFoundError:
            raise ImportError('The oslo-bergen-tagger is not setup correctly, is ruby installed?')
